aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.cirrus.yml8
-rwxr-xr-xci/lint/04_install.sh3
-rwxr-xr-xci/lint_run_all.sh12
3 files changed, 15 insertions, 8 deletions
diff --git a/.cirrus.yml b/.cirrus.yml
index 34541011e9..e7a50d931a 100644
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -70,14 +70,8 @@ task:
memory: 1G
# For faster CI feedback, immediately schedule the linters
<< : *CREDITS_TEMPLATE
- setup_script:
- - set -o errexit; source ./ci/test/00_setup_env.sh
- install_script:
- - set -o errexit; source ./ci/lint/04_install.sh
- before_script:
- - set -o errexit; source ./ci/lint/05_before_script.sh
lint_script:
- - set -o errexit; source ./ci/lint/06_script.sh
+ - ./ci/lint_run_all.sh
task:
name: 'ARM [unit tests, no functional tests] [buster]'
diff --git a/ci/lint/04_install.sh b/ci/lint/04_install.sh
index 43d33b3f3b..389a089720 100755
--- a/ci/lint/04_install.sh
+++ b/ci/lint/04_install.sh
@@ -6,7 +6,8 @@
export LC_ALL=C
-${CI_RETRY_EXE} apt update && apt install -y clang-format-9 python3-pip curl git
+${CI_RETRY_EXE} apt-get update
+${CI_RETRY_EXE} apt-get install -y clang-format-9 python3-pip curl git gawk jq
update-alternatives --install /usr/bin/clang-format clang-format $(which clang-format-9 ) 100
update-alternatives --install /usr/bin/clang-format-diff clang-format-diff $(which clang-format-diff-9) 100
diff --git a/ci/lint_run_all.sh b/ci/lint_run_all.sh
new file mode 100755
index 0000000000..2623f46828
--- /dev/null
+++ b/ci/lint_run_all.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+#
+# Copyright (c) 2019 The Bitcoin Core developers
+# Distributed under the MIT software license, see the accompanying
+# file COPYING or http://www.opensource.org/licenses/mit-license.php.
+
+export LC_ALL=C.UTF-8
+
+set -o errexit; source ./ci/test/00_setup_env.sh
+set -o errexit; source ./ci/lint/04_install.sh
+set -o errexit; source ./ci/lint/05_before_script.sh
+set -o errexit; source ./ci/lint/06_script.sh